Loading...
Searching...
No Matches
itk::MeshPenalty< TFixedPointSet, TMovingPointSet > Class Template Reference

`#include <itkPolydataDummyPenalty.h>`

## Detailed Description

template<class TFixedPointSet, class TMovingPointSet>
class itk::MeshPenalty< TFixedPointSet, TMovingPointSet >

A dummy metric to generate transformed meshes each iteration.

Definition at line 40 of file itkPolydataDummyPenalty.h.

Inheritance diagram for itk::MeshPenalty< TFixedPointSet, TMovingPointSet >:
[legend]

## Public Types

using | CellInterfaceType = typename MeshTraitsType::CellType
using | ConstPointer = SmartPointer<const Self>
using | CoordRepType = typename InputPointType::CoordRepType
using | DerivativeValueType
using | DummyMeshPixelType = unsigned char
using | FixedImagePointType = typename TransformType::InputPointType
using | FixedMeshConstPointer = typename FixedMeshType::ConstPointer
using | FixedMeshContainerConstPointer = typename FixedMeshContainerType::ConstPointer
using | FixedMeshContainerElementIdentifier = typename FixedMeshContainerType::ElementIdentifier
using | FixedMeshContainerPointer = typename FixedMeshContainerType::Pointer
using | FixedMeshContainerType = VectorContainer<MeshIdType, FixedMeshConstPointer>
using | FixedMeshPointer = typename FixedMeshType::Pointer
using | FixedMeshType = Mesh<PointNormalType, FixedPointSetDimension, MeshTraitsType>
using | InputPointType
using | MappedMeshContainerConstPointer = typename MappedMeshContainerType::ConstPointer
using | MappedMeshContainerPointer = typename MappedMeshContainerType::Pointer
using | MappedMeshContainerType = VectorContainer<MeshIdType, FixedMeshPointer>
using | MeshIdType = unsigned int
using | MeshPointDataContainerConstIteratorType = typename FixedMeshType::PointDataContainerIterator
using | MeshPointDataContainerConstPointer = typename FixedMeshType::PointDataContainerConstPointer
using | MeshPointDataContainerIteratorType = typename MeshPointDataContainerType::Iterator
using | MeshPointDataContainerPointer = typename FixedMeshType::PointDataContainerPointer
using | MeshPointDataContainerType = typename FixedMeshType::PointDataContainer
using | MeshPointsContainerConstIteratorType = typename FixedMeshType::PointsContainerConstIterator
using | MeshPointsContainerConstPointer = typename MeshPointsContainerType::ConstPointer
using | MeshPointsContainerIteratorType = typename FixedMeshType::PointsContainerIterator
using | MeshPointsContainerPointer = typename MeshPointsContainerType::Pointer
using | MeshPointsContainerType = typename FixedMeshType::PointsContainer
using | MeshPointsDerivativeValueType = Array<DerivativeValueType>
using | MeshPointType = typename FixedMeshType::PointType
using | MeshTraitsType
using | MovingImagePointType = typename TransformType::OutputPointType
using | NonZeroJacobianIndicesType
using | OutputPointType
using | Pointer = SmartPointer<Self>
using | PointNormalType = Vector<typename TransformType::ScalarType, FixedPointSetDimension>
using | Self = MeshPenalty
using | SpatialJacobianType = typename TransformType::SpatialJacobianType
using | Superclass = SingleValuedPointSetToPointSetMetric<TFixedPointSet, TMovingPointSet>
using | TransformJacobianType
using | TransformParametersType
using | TransformPointer
using | TransformType
using | VectorType = typename FixedMeshType::PointType::VectorType
using | VnlVectorType = vnl_vector<CoordRepType>
Public Types inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
using | ConstPointer = SmartPointer<const Self>
using | CoordinateRepresentationType = Superclass::ParametersValueType
using | DerivativeValueType = typename DerivativeType::ValueType
using | FixedImageMaskConstPointer = typename FixedImageMaskType::ConstPointer
using | FixedImageMaskPointer = typename FixedImageMaskType::Pointer
using | FixedImageMaskType = ImageMaskSpatialObject<Self::FixedPointSetDimension>
using | FixedPointSetConstPointer = typename FixedPointSetType::ConstPointer
using | FixedPointSetPixelType = typename FixedPointSetType::PixelType
using | FixedPointSetType = TFixedPointSet
using | InputPointType = typename TransformType::InputPointType
using | MovingImageMaskConstPointer = typename MovingImageMaskType::ConstPointer
using | MovingImageMaskPointer = typename MovingImageMaskType::Pointer
using | MovingImageMaskType = ImageMaskSpatialObject<Self::MovingPointSetDimension>
using | MovingPointSetConstPointer = typename MovingPointSetType::ConstPointer
using | MovingPointSetPixelType = typename MovingPointSetType::PixelType
using | MovingPointSetType = TMovingPointSet
using | NonZeroJacobianIndicesType = typename TransformType::NonZeroJacobianIndicesType
using | OutputPointType = typename TransformType::OutputPointType
using | PointDataIterator = typename FixedPointSetType::PointDataContainer::ConstIterator
using | Pointer = SmartPointer<Self>
using | PointIterator = typename FixedPointSetType::PointsContainer::ConstIterator
using | Self = SingleValuedPointSetToPointSetMetric
using | Superclass = SingleValuedCostFunction
using | TransformJacobianType = typename TransformType::JacobianType
using | TransformParametersType = typename TransformType::ParametersType
using | TransformPointer = typename TransformType::Pointer
using | TransformType

## Public Member Functions

virtual const char * | GetClassName () const
void | GetDerivative (const TransformParametersType &parameters, DerivativeType &Derivative) const override
virtual const FixedMeshContainerType * | GetFixedMeshContainer ()
MeasureType | GetValue (const TransformParametersType &parameters) const override
void | GetValueAndDerivative (const TransformParametersType &parameters, MeasureType &Value, DerivativeType &Derivative) const override
void | Initialize () override
| ITK_DISALLOW_COPY_AND_MOVE (MeshPenalty)
| itkGetModifiableObjectMacro (MappedMeshContainer, MappedMeshContainerType)
| itkStaticConstMacro (FixedPointSetDimension, unsigned int, Superclass::FixedPointSetDimension)
virtual void | SetFixedMeshContainer (const FixedMeshContainerType *_arg)
virtual void | SetMappedMeshContainer (MappedMeshContainerType *_arg)
Public Member Functions inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
virtual void | BeforeThreadedGetValueAndDerivative (const TransformParametersType &parameters) const
virtual const FixedImageMaskType * | GetFixedImageMask ()
virtual const FixedPointSetType * | GetFixedPointSet ()
virtual const MovingImageMaskType * | GetMovingImageMask ()
virtual const MovingPointSetType * | GetMovingPointSet ()
unsigned int | GetNumberOfParameters () const override
virtual const TransformType * | GetTransform ()
virtual const bool & | GetUseMetricSingleThreaded ()
| ITK_DISALLOW_COPY_AND_MOVE (SingleValuedPointSetToPointSetMetric)
| itkStaticConstMacro (FixedPointSetDimension, unsigned int, TFixedPointSet::PointDimension)
| itkStaticConstMacro (MovingPointSetDimension, unsigned int, TMovingPointSet::PointDimension)
virtual void | SetFixedImageMask (const FixedImageMaskType *_arg)
virtual void | SetFixedPointSet (const FixedPointSetType *_arg)
virtual void | SetMovingImageMask (const MovingImageMaskType *_arg)
virtual void | SetMovingPointSet (const MovingPointSetType *_arg)
virtual void | SetTransform (TransformType *_arg)
void | SetTransformParameters (const ParametersType &parameters) const
virtual void | SetUseMetricSingleThreaded (bool _arg)
virtual void | UseMetricSingleThreadedOff ()
virtual void | UseMetricSingleThreadedOn ()

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| MeshPenalty ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~MeshPenalty () override=default
Protected Member Functions inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
void | PrintSelf (std::ostream &os, Indent indent) const override
| SingleValuedPointSetToPointSetMetric ()=default
| ~SingleValuedPointSetToPointSetMetric () override=default

## Protected Attributes

FixedMeshContainerConstPointer | m_FixedMeshContainer {}
MappedMeshContainerPointer | m_MappedMeshContainer {}
Protected Attributes inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
FixedImageMaskConstPointer | m_FixedImageMask { nullptr }
FixedPointSetConstPointer | m_FixedPointSet { nullptr }
MovingImageMaskConstPointer | m_MovingImageMask { nullptr }
MovingPointSetConstPointer | m_MovingPointSet { nullptr }
unsigned int | m_NumberOfPointsCounted { 0 }
TransformPointer | m_Transform { nullptr }
bool | m_UseMetricSingleThreaded { true }

## Member Typedef Documentation

## CellInterfaceType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::CellInterfaceType = typename MeshTraitsType::CellType

Definition at line 91 of file itkPolydataDummyPenalty.h.

## ConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::ConstPointer = SmartPointer<const Self>

Definition at line 49 of file itkPolydataDummyPenalty.h.

## CoordRepType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::CoordRepType = typename InputPointType::CoordRepType

Definition at line 72 of file itkPolydataDummyPenalty.h.

## DerivativeValueType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::DerivativeValueType

Definition at line 111 of file itkSingleValuedPointSetToPointSetMetric.h.

## DummyMeshPixelType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::DummyMeshPixelType = unsigned char

Definition at line 84 of file itkPolydataDummyPenalty.h.

## FixedImagePointType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::FixedImagePointType = typename TransformType::InputPointType

Definition at line 74 of file itkPolydataDummyPenalty.h.

## FixedMeshConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::FixedMeshConstPointer = typename FixedMeshType::ConstPointer

Definition at line 89 of file itkPolydataDummyPenalty.h.

## FixedMeshContainerConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::FixedMeshContainerConstPointer = typename FixedMeshContainerType::ConstPointer

Definition at line 112 of file itkPolydataDummyPenalty.h.

## FixedMeshContainerElementIdentifier

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::FixedMeshContainerElementIdentifier = typename FixedMeshContainerType::ElementIdentifier

Definition at line 113 of file itkPolydataDummyPenalty.h.

## FixedMeshContainerPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::FixedMeshContainerPointer = typename FixedMeshContainerType::Pointer

Definition at line 111 of file itkPolydataDummyPenalty.h.

## FixedMeshContainerType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::FixedMeshContainerType = VectorContainer<MeshIdType, FixedMeshConstPointer>

Definition at line 110 of file itkPolydataDummyPenalty.h.

## FixedMeshPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::FixedMeshPointer = typename FixedMeshType::Pointer

Definition at line 90 of file itkPolydataDummyPenalty.h.

## FixedMeshType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::FixedMeshType = Mesh<PointNormalType, FixedPointSetDimension, MeshTraitsType>

Definition at line 87 of file itkPolydataDummyPenalty.h.

## InputPointType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::InputPointType

Definition at line 96 of file itkSingleValuedPointSetToPointSetMetric.h.

## MappedMeshContainerConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MappedMeshContainerConstPointer = typename MappedMeshContainerType::ConstPointer

Definition at line 117 of file itkPolydataDummyPenalty.h.

## MappedMeshContainerPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MappedMeshContainerPointer = typename MappedMeshContainerType::Pointer

Definition at line 116 of file itkPolydataDummyPenalty.h.

## MappedMeshContainerType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MappedMeshContainerType = VectorContainer<MeshIdType, FixedMeshPointer>

Definition at line 115 of file itkPolydataDummyPenalty.h.

## MeshIdType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MeshIdType = unsigned int

Definition at line 109 of file itkPolydataDummyPenalty.h.

## MeshPointDataContainerConstIteratorType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointDataContainerConstIteratorType = typename FixedMeshType::PointDataContainerIterator

Definition at line 106 of file itkPolydataDummyPenalty.h.

## MeshPointDataContainerConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointDataContainerConstPointer = typename FixedMeshType::PointDataContainerConstPointer

Definition at line 103 of file itkPolydataDummyPenalty.h.

## MeshPointDataContainerIteratorType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointDataContainerIteratorType = typename MeshPointDataContainerType::Iterator

Definition at line 107 of file itkPolydataDummyPenalty.h.

## MeshPointDataContainerPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointDataContainerPointer = typename FixedMeshType::PointDataContainerPointer

Definition at line 104 of file itkPolydataDummyPenalty.h.

## MeshPointDataContainerType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointDataContainerType = typename FixedMeshType::PointDataContainer

Definition at line 102 of file itkPolydataDummyPenalty.h.

## MeshPointsContainerConstIteratorType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointsContainerConstIteratorType = typename FixedMeshType::PointsContainerConstIterator

Definition at line 99 of file itkPolydataDummyPenalty.h.

## MeshPointsContainerConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointsContainerConstPointer = typename MeshPointsContainerType::ConstPointer

Definition at line 98 of file itkPolydataDummyPenalty.h.

## MeshPointsContainerIteratorType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointsContainerIteratorType = typename FixedMeshType::PointsContainerIterator

Definition at line 100 of file itkPolydataDummyPenalty.h.

## MeshPointsContainerPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointsContainerPointer = typename MeshPointsContainerType::Pointer

Definition at line 97 of file itkPolydataDummyPenalty.h.

## MeshPointsContainerType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointsContainerType = typename FixedMeshType::PointsContainer

Definition at line 96 of file itkPolydataDummyPenalty.h.

## MeshPointsDerivativeValueType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointsDerivativeValueType = Array<DerivativeValueType>

Definition at line 119 of file itkPolydataDummyPenalty.h.

## MeshPointType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPointType = typename FixedMeshType::PointType

Definition at line 93 of file itkPolydataDummyPenalty.h.

## MeshTraitsType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MeshTraitsType

Initial value:
DefaultStaticMeshTraits<PointNormalType, FixedPointSetDimension, FixedPointSetDimension, CoordRepType>

Definition at line 85 of file itkPolydataDummyPenalty.h.

## MovingImagePointType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MovingImagePointType = typename TransformType::OutputPointType

Definition at line 75 of file itkPolydataDummyPenalty.h.

## NonZeroJacobianIndicesType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::NonZeroJacobianIndicesType

Typedefs for support of sparse Jacobians and compact support of transformations.

Definition at line 115 of file itkSingleValuedPointSetToPointSetMetric.h.

## OutputPointType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::OutputPointType

Definition at line 97 of file itkSingleValuedPointSetToPointSetMetric.h.

## Pointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::Pointer = SmartPointer<Self>

Definition at line 48 of file itkPolydataDummyPenalty.h.

## PointNormalType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::PointNormalType = Vector<typename TransformType::ScalarType, FixedPointSetDimension>

Definition at line 83 of file itkPolydataDummyPenalty.h.

## Self

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::Self = MeshPenalty

Standard class typedefs.

Definition at line 46 of file itkPolydataDummyPenalty.h.

## SpatialJacobianType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::SpatialJacobianType = typename TransformType::SpatialJacobianType

Definition at line 76 of file itkPolydataDummyPenalty.h.

## Superclass

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::Superclass = SingleValuedPointSetToPointSetMetric<TFixedPointSet, TMovingPointSet>

Definition at line 47 of file itkPolydataDummyPenalty.h.

## TransformJacobianType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformJacobianType

Definition at line 99 of file itkSingleValuedPointSetToPointSetMetric.h.

## TransformParametersType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformParametersType

Definition at line 98 of file itkSingleValuedPointSetToPointSetMetric.h.

## TransformPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformPointer

Definition at line 95 of file itkSingleValuedPointSetToPointSetMetric.h.

## TransformType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformType

More typedefs.

Definition at line 93 of file itkSingleValuedPointSetToPointSetMetric.h.

## VectorType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::VectorType = typename FixedMeshType::PointType::VectorType

Definition at line 94 of file itkPolydataDummyPenalty.h.

## VnlVectorType

template<class TFixedPointSet, class TMovingPointSet>

using itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::VnlVectorType = vnl_vector<CoordRepType>

Definition at line 73 of file itkPolydataDummyPenalty.h.

## Constructor & Destructor Documentation

## MeshPenalty()

template<class TFixedPointSet, class TMovingPointSet>

itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::MeshPenalty | ( |  | ) |

protected

## ~MeshPenalty()

template<class TFixedPointSet, class TMovingPointSet>

itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::~MeshPenalty | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<class TFixedPointSet, class TMovingPointSet>

virtual const char * itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >.

Reimplemented in elastix::PolydataDummyPenalty< TElastix >.

## GetDerivative()

template<class TFixedPointSet, class TMovingPointSet>

void itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::GetDerivative | ( | const TransformParametersType & | parameters,
|  | DerivativeType & | Derivative ) const

override

Get the derivatives of the match measure.

## GetFixedMeshContainer()

template<class TFixedPointSet, class TMovingPointSet>

virtual const FixedMeshContainerType * itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::GetFixedMeshContainer | ( |  | ) |

virtual

## GetValue()

template<class TFixedPointSet, class TMovingPointSet>

MeasureType itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::GetValue | ( | const TransformParametersType & | parameters | ) | const

override

Set the fixed mask. Get the fixed mask. Get the value for single valued optimizers.

## GetValueAndDerivative()

template<class TFixedPointSet, class TMovingPointSet>

void itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::GetValueAndDerivative | ( | const TransformParametersType & | parameters,
|  | MeasureType & | Value,
|  | DerivativeType & | Derivative ) const

override

Get value and derivatives for multiple valued optimizers.

## Initialize()

template<class TFixedPointSet, class TMovingPointSet>

void itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::Initialize | ( |  | ) |

override virtual

Get the mapped points. Connect the fixed pointset. Get the fixed pointset. Connect the Transform. Get a pointer to the Transform. Set the parameters defining the Transform. Return the number of parameters required by the transform. Initialize the Metric by making sure that all the components are present and plugged together correctly.

Reimplemented from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TFixedPointSet, class TMovingPointSet>

itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::ITK_DISALLOW_COPY_AND_MOVE | ( | MeshPenalty< TFixedPointSet, TMovingPointSet > |  | ) |

## itkGetModifiableObjectMacro()

template<class TFixedPointSet, class TMovingPointSet>

itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::itkGetModifiableObjectMacro | ( | MappedMeshContainer | ,
|  | MappedMeshContainerType | )

## itkStaticConstMacro()

template<class TFixedPointSet, class TMovingPointSet>

itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::itkStaticConstMacro | ( | FixedPointSetDimension | ,
|  | unsigned int | ,
|  | Superclass::FixedPointSetDimension | )

Constants for the pointset dimensions.

## New()

template<class TFixedPointSet, class TMovingPointSet>

Pointer itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::New | ( |  | ) |

static

Type used for representing point components Method for creation through the object factory.

## PrintSelf()

template<class TFixedPointSet, class TMovingPointSet>

void itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

PrintSelf.

## SetFixedMeshContainer()

template<class TFixedPointSet, class TMovingPointSet>

virtual void itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::SetFixedMeshContainer | ( | const FixedMeshContainerType * | _arg | ) |

virtual

## SetMappedMeshContainer()

template<class TFixedPointSet, class TMovingPointSet>

virtual void itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::SetMappedMeshContainer | ( | MappedMeshContainerType * | _arg | ) |

virtual

## Field Documentation

## m_FixedMeshContainer

template<class TFixedPointSet, class TMovingPointSet>

FixedMeshContainerConstPointer itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::m_FixedMeshContainer {}

mutable protected

Member variables.

Definition at line 185 of file itkPolydataDummyPenalty.h.

## m_MappedMeshContainer

template<class TFixedPointSet, class TMovingPointSet>

MappedMeshContainerPointer itk::MeshPenalty< TFixedPointSet, TMovingPointSet >::m_MappedMeshContainer {}

mutable protected

Definition at line 186 of file itkPolydataDummyPenalty.h.

Generated on 1768596610 for elastix by 1.15.0 |